<div>
    <p-table [value]="animais">
        <ng-template pTemplate="caption">
            Pets para adoção
        </ng-template>
        <ng-template pTemplate="header">
            <tr>
                <th>Name</th>
                <th>Fotos</th>
                <th>Especie</th>
                <th>Porte</th>
                <th>Sexo</th>
            </tr>
        </ng-template>
    <ng-template pTemplate="body" let-animal let-foto>
        <tr>
            <td>{{animal.nome}}</td>
            <td><img src="{{foto.foto}}" alt=""></td>
            <td>{{animal.especie}}</td>
            <td>{{animal.porte}}</td>
            <td>{{animal.sexo}}</td>
            <td>{{animal.descricao}}</td>
        </tr>
    </ng-template>
    <ng-template pTemplate="summary">
        <div class="p-d-flex p-ai-center p-jc-between">
            <p>Total de aimais para adoção: {{animais ? animais.length : 0 }} animais.</p>
        </div>
    </ng-template>
</p-table>
</div>
